Industrial Communications

cancel
Showing results for 
Search instead for 
Did you mean: 
Reply

AM-9898 HART communication module conflict

Solved!
Go to solution

AM-9898 HART communication module conflict

I'm running labview 2016 32bit and have a Crio-9075 where I've installed an AM-9898 module for HART communication with a valve. I've so far failed to have anything accept the module.

I've tried to use the scan-engine and got a "not supported message". On the forum here (not in the manual) it then say you have to use FPGA, so I've tried that and I get a Module creation conflict with the message : "unknown  (Slot 1):  This module is not supported by the current versions of LabVIEW and NI-RIO. Contact the module manufacturer for more information about how to use this module with LabVIEW." - I'm pretty sure I've installed all the drivers necessary so I'm a bit at a loss as to what's not missing ? Any help much appreciated. 

Thanks,

Niels

 

0 Kudos
Message 1 of 2
(622 Views)
Solution
Accepted by topic author massen
06-01-2018 08:11 AM

Re: AM-9898 HART communication module conflict

Easy to miss, the module requires a special interface driver from the manufacturer "Amtec". This driver can be downloaded and installed using the free JKI Package Manager that comes with LabVIEW. Just search for Hart or 9898 and you will find the AM-9898 Hart Interface Toolkit. Hope that works for you.

 

DirkW-

0 Kudos
Message 2 of 2
(612 Views)